package com.base.scanqrclear.bean

data class WhatsappUIBean(val phone: String) : ScanBean(FunctionUIBean.KEY_WHATSAPP) {

    companion object {

        //        whatsapp://send?phone=+861768923756
        fun WhatsappUIBean.createWhatsappQrString(): String {
            val qrContent = StringBuilder()
            qrContent.append("whatsapp://send?")
                .append("phone=").append(this.phone)
            return qrContent.toString()
        }

    }
}